Rascas
Posts: 448
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

[Guide][Testing] Kodi 18.0 Leia beta versions for Raspbian Stretch!

Tue Sep 18, 2018 10:42 pm

INTRO:

Like the title says, Kodi 18 Leia beta versions are now available for testing on Raspbian!

Image

Kodi is now on the way to beta 3 version 18, so the final/stable release should not take much longer. Despite the interface (Estuary skin) didn't change much, there are many improvements in video playback (h265, support for 10bit videos, etc), support for Netflix and Amazon Prime, better joystick/gamepad support, and the new RetroPlayer, which will allow you to play games inside Kodi. Everything now also seems a little bit faster.

More info here:
https://kodi.tv/article/kodi-v18-leia-beta-2

WARNING: This is are betas/release candidates of the upcoming Kodi 18, so it might get bugs. It is highly recommend to make a backup of your current configuration ( the hidden directory /home/pi/.kodi) before you proceed.

INSTRUCTIONS:

To add the unstable repo, and update to latest Kodi 18 testing version, and all necessary dependencies, in a terminal run:

Code: Select all

sudo su
echo "deb http://pipplware.pplware.pt/pipplware/dists/unstable/main/binary /" > /etc/apt/sources.list.d/pipplware_unstable.list
wget -O - http://pipplware.pplware.pt/pipplware/key.asc | sudo apt-key add -
apt-get update && apt-get dist-upgrade -y
exit
And its done!

EXTRA:

All binary addons (PVRs, audiodecoders/encoders, visualizations, vfs, etc) have been updated. You can check for available binary addons with:

Code: Select all

apt-cache search kodi*
And install what you want. For example if you have an X Arcade Tankstick, you can install the support for it with (not tested):

Code: Select all

sudo apt-get install kodi-peripheral-xarcade


RETROPLAYER:

Kodi 18 includes now the new RetroPlayer which will allow you to play games inside Kodi. It uses the RetroArch cores. The libretro addon is already available but the addons with the cores aren't yet, not even on Ubuntu x86 ppa unstable repos. Maybe in a near future...

REMOVAL / REVERT BACK TO KODI 17:

To remove the repo and Kodi 18 do:

Code: Select all

sudo rm /etc/apt/sources.list.d/pipplware_unstable.list
sudo apt-get update -y
sudo apt-get remove kodi*
After that just install Kodi 17 like you normally do. More info here: https://www.raspberrypi.org/forums/view ... 6&t=192499 You will not losse your settings/addons/etc.

FINAL THOUGHTS:

The source code is available here:
https://github.com/PIPplware/xbmc/tree/leia_new

PS1: The packages contains both an armv6 binary for compatibility with first generation Pis 0/1 and an armv7 optimized binary for RPi 2/3, which contains the h265, 10bit video, etc, neon acceleration and stuff. The binary is auto-selected according to which Pi version you are running.

[Confirmed Working] PS:2 The Netflix and Amazon Prime addons were not tested (I don't have accounts on those) so please test them and give feedback. They will only work with Pi 2/3 versions!

Any problem with this new Kodi version, please post in this topic.
Enjoy!

Thanks
Last edited by Rascas on Mon Oct 29, 2018 1:07 am, edited 8 times in total.


Rascas
Posts: 448
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide][Testing] Kodi 18.0 Leia beta versions now available for Raspbian!

Tue Sep 18, 2018 11:34 pm

cjan wrote:
Tue Sep 18, 2018 11:30 pm
got gpg key warning?
Ah sorry forgot about that, added it to the instructions. Thanks.

gkreidl
Posts: 5759
Joined: Thu Jan 26, 2012 1:07 pm
Location: Germany

Re: [Guide][Testing] Kodi 18.0 Leia beta versions now available for Raspbian Stretch!

Wed Sep 19, 2018 7:57 am

Thanks, Rascas!

And this also answers my question I wanted to ask: Will there be a Kodi 18 version for Raspbian (Stretch), as soon as the final version is ready?
Minimal Kiosk Browser (kweb)
Slim, fast webkit browser with support for audio+video+playlists+youtube+pdf+download
Optional fullscreen kiosk mode and command interface for embedded applications
Includes omxplayerGUI, an X front end for omxplayer

Rascas
Posts: 448
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide][Testing] Kodi 18.0 Leia beta versions now available for Raspbian Stretch!

Wed Sep 19, 2018 7:10 pm

gkreidl wrote:
Wed Sep 19, 2018 7:57 am
Thanks, Rascas!

And this also answers my question I wanted to ask: Will there be a Kodi 18 version for Raspbian (Stretch), as soon as the final version is ready?
Yes.

Olli0371
Posts: 1
Joined: Fri Sep 21, 2018 6:13 pm

Re: [Guide][Testing] Kodi 18.0 Leia beta versions now available for Raspbian Stretch!

Fri Sep 21, 2018 6:16 pm

Hi,

I just want to say thank you for this. I used lots of time before to get kodi18 working on raspbian without success. With your repo just a matter of minutes.

Oliver

Rascas
Posts: 448
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide][Testing] Kodi 18.0 Leia beta versions now available for Raspbian Stretch!

Mon Sep 24, 2018 2:31 pm

Netflix and Amazon Prime addons are confirmed to be working. On Netflix you should get at least, 480p on a RPi 2 and 720p on a RPi 3/3B+.

EDIT: More info here:
Netflix
Source Code: https://github.com/asciidisco/plugin.video.netflix
Kodi forum topic with more info: https://forum.kodi.tv/showthread.php?tid=329767

Amazon Prime:
Source Code: https://github.com/Sandmann79/xbmc
Kodi forum topic with more info: https://forum.kodi.tv/showthread.php?tid=331136

ohiaia
Posts: 1
Joined: Tue Sep 25, 2018 7:00 pm

Re: [Guide][Testing] Kodi 18.0 Leia beta versions now available for Raspbian Stretch!

Tue Sep 25, 2018 7:13 pm

Hi all,
probably is not relevant at this stage but
[*]on a fresh Raspian
[*]with a rpi3

Running

Code: Select all

apt-get install kodi * 
I got this

Code: Select all

The following packages have unmet dependencies:
 kodi-eventclients-kodi-send : Depends: kodi-eventclients-common (= 2:17.1+dfsg1-3) but 2:18.0~git20180917.2122-beta3-1~stretch is to be installed
E: Unable to correct problems, you have held broken packages.
Now: workaround could be have the Kodi 2:17.6-3~stretch and kodi* already installed and adding sources and upgrading should do the magic... I'm still testing (pending to add Netflix ;) ... tomorrow...) but it seems to have worked...
Just to let you know

Rascas
Posts: 448
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide][Testing] Kodi 18.0 Leia beta versions now available for Raspbian Stretch!

Tue Sep 25, 2018 10:55 pm

ohiaia wrote:
Tue Sep 25, 2018 7:13 pm
Hi all,
probably is not relevant at this stage but
[*]on a fresh Raspian
[*]with a rpi3

Running

Code: Select all

apt-get install kodi * 
I got this

Code: Select all

The following packages have unmet dependencies:
 kodi-eventclients-kodi-send : Depends: kodi-eventclients-common (= 2:17.1+dfsg1-3) but 2:18.0~git20180917.2122-beta3-1~stretch is to be installed
E: Unable to correct problems, you have held broken packages.
Now: workaround could be have the Kodi 2:17.6-3~stretch and kodi* already installed and adding sources and upgrading should do the magic... I'm still testing (pending to add Netflix ;) ... tomorrow...) but it seems to have worked...
Just to let you know
Yes, I already noticed that, thanks. The cpack naming version needs to be uptaded upstream, should be easy to fix.

In the meantime, don't run apt-get install kodi* or try to install kodi-eventclients-kodi-send, it is an old version, you can install everything else if you want anyway but for Netflix you only need to install this 3 packages:

Code: Select all

sudo apt-get install kodi kodi-bin kodi-inputstream-adaptive
And then follow the instructions in the previous post to install the Netflix addon.

cjan
Posts: 623
Joined: Sun May 06, 2012 12:00 am

Re: [Guide][Testing] Kodi 18.0 Leia beta versions now available for Raspbian Stretch!

Wed Sep 26, 2018 12:50 am

does kodi-18 included libwidevine?

Rascas
Posts: 448
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide][Testing] Kodi 18.0 Leia beta versions now available for Raspbian Stretch!

Wed Sep 26, 2018 10:20 am

cjan wrote:
Wed Sep 26, 2018 12:50 am
does kodi-18 included libwidevine?
No. That is handled somewhere in the Netflix addon and inputstream-adaptive/helper, never took a look at the code.

Micha1982
Posts: 261
Joined: Wed Oct 03, 2012 11:18 am

Re: [Guide][Testing] Kodi 18.0 Leia beta versions now available for Raspbian Stretch!

Thu Sep 27, 2018 11:29 pm

Awesome.

1 question: How do I remove new menu "games" from homescreen? (I find no option to games in the setup of my skin (using the old one from Kodi 16(?), (confluescence?).
Alles, was schiefgehen kann, wird auch schiefgehen.

Rascas
Posts: 448
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide][Testing] Kodi 18.0 Leia beta versions now available for Raspbian Stretch!

Sat Sep 29, 2018 4:44 pm

Micha1982 wrote:
Thu Sep 27, 2018 11:29 pm
Awesome.

1 question: How do I remove new menu "games" from homescreen? (I find no option to games in the setup of my skin (using the old one from Kodi 16(?), (confluescence?).
Disabaling menus is done on the skin settings. I don't use Confluence but it was said in beta2 announcement that it is updated and supported. If you don't have the option to disable the games menu, it is better to ask in the Kodi forums, there is a section only for that skin.

cjan
Posts: 623
Joined: Sun May 06, 2012 12:00 am

Re: [Guide][Testing] Kodi 18.0 Leia beta versions now available for Raspbian Stretch!

Fri Oct 05, 2018 9:29 am

audio output, defauls:alsa & analogue both blurry, anyone?

Rascas
Posts: 448
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide][Testing] Kodi 18.0 Leia beta versions now available for Raspbian Stretch!

Fri Oct 05, 2018 11:20 am

cjan wrote:
Fri Oct 05, 2018 9:29 am
audio output, defauls:alsa & analogue both blurry, anyone?
Yes, we know, it is already fixed upstream:
https://github.com/xbmc/xbmc/pull/14453

In the meantime, until we provide a new Kodi build, just select PI: HDMI or PI: Analogue if your are on a clean install. ALSA is only for external soundcards and bluetooth audio.

ShiftPlusOne
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 5369
Joined: Fri Jul 29, 2011 5:36 pm
Location: The unfashionable end of the western spiral arm of the Galaxy

Re: [Guide][Testing] Kodi 18.0 Leia beta versions now available for Raspbian Stretch!

Sat Oct 06, 2018 7:55 pm

If anybody else has trouble getting Netflix working, I had to 'pip install pycryptodomex' in addition to installing 'kodi-inputstream-adaptive' from apt. That's actually in the instructions, but I'm probably not the only one who missed it.

Sometimes the plugin fails to launch, but waiting a few seconds and opening it again seems to work okay.

RadeonTrans
Posts: 1
Joined: Wed Oct 10, 2018 2:49 pm

Re: [Guide][Testing] Kodi 18.0 Leia beta versions now available for Raspbian Stretch!

Tue Oct 16, 2018 2:04 pm

Let's see how this build gonna help us.

justcyber
Posts: 3
Joined: Mon Jul 17, 2017 9:52 am

Re: [Guide][Testing] Kodi 18.0 Leia beta versions now available for Raspbian Stretch!

Wed Oct 17, 2018 4:27 pm

ALSA is only for external soundcards and bluetooth audio
I have ALSA ladspa dysonCompress and fastLookaheadLimiter already configured.
Why I can not use ALSA?

Rascas
Posts: 448
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide][Testing] Kodi 18.0 Leia beta versions now available for Raspbian Stretch!

Wed Oct 17, 2018 4:42 pm

justcyber wrote:
Wed Oct 17, 2018 4:27 pm
ALSA is only for external soundcards and bluetooth audio
I have ALSA ladspa dysonCompress and fastLookaheadLimiter already configured.
Why I can not use ALSA?
I am not familiar with ladspa dysonCompress and fastLookaheadLimiter, but after a quick search, it seems to be ALSA "plugins". Kodi does not support ALSA plugins by design (yet, at least). But you can make them work like we did to bluetooth audio following this:
viewtopic.php?f=28&t=206898
Check my posts mainly, it should work.

Rascas
Posts: 448
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide][Testing] Kodi 18.0 Leia beta versions now available for Raspbian Stretch!

Wed Oct 17, 2018 9:17 pm

Kodi 18 beta 4 available for update

Changelog:
-To announce on official Kodi site

Raspbian/RetroPie specific:
-Kodi no longer freezes on "Exit"
-Default to PI: HDMI in audio settings for new installs

cjan
Posts: 623
Joined: Sun May 06, 2012 12:00 am

Re: [Guide][Testing] Kodi 18.0 Leia beta versions now available for Raspbian Stretch!

Fri Oct 19, 2018 2:50 am

Rascas wrote:
Wed Oct 17, 2018 9:17 pm
Raspbian/RetroPie specific:
-Kodi no longer freezes on "Exit"
flash to black about one second, does it normal?

Rascas
Posts: 448
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide][Testing] Kodi 18.0 Leia beta versions now available for Raspbian Stretch!

Fri Oct 19, 2018 9:25 am

cjan wrote:
Fri Oct 19, 2018 2:50 am
Rascas wrote:
Wed Oct 17, 2018 9:17 pm
Raspbian/RetroPie specific:
-Kodi no longer freezes on "Exit"
flash to black about one second, does it normal?
Sorry, I don't understand.

User avatar
labboy
Posts: 14
Joined: Sun Sep 25, 2016 8:07 pm

Re: [Guide][Testing] Kodi 18.0 Leia beta versions for Raspbian Stretch!

Tue Nov 20, 2018 12:05 am

Thank you very much for your detailed post!
Very stupid post here...Sorry but i think i misunderstood something! Am I supposed to do this on a raspberry that already has kodi17.3 installed or not? I did on a raspberry which had already kodi17.3 and when I started it i still get the 17.3. What do I miss here?
fear nothing, hope nothing, be free

Rascas
Posts: 448
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide][Testing] Kodi 18.0 Leia beta versions for Raspbian Stretch!

Tue Nov 20, 2018 12:08 am

labboy wrote:
Tue Nov 20, 2018 12:05 am
Thank you very much for your detailed post!
Very stupid post here...Sorry but i think i misunderstood something! Am I supposed to do this on a raspberry that already has kodi17.3 installed or not? I did on a raspberry which had already kodi17.3 and when I started it i still get the 17.3. What do I miss here?
Which OS and version are you running ? This is only for Raspbian Stretch. If you still have Raspbian Jessie, you have to update it to Stretch first.

User avatar
labboy
Posts: 14
Joined: Sun Sep 25, 2016 8:07 pm

Re: [Guide][Testing] Kodi 18.0 Leia beta versions for Raspbian Stretch!

Tue Nov 20, 2018 2:42 am

Great thanks! Indeed I had Jessie....updating now. Still after i update to Stretch, do I install kodi17.3 and then Kodi18 or directly to 18?


OK, I managed it. But now when i do


Code: Select all

apt-cache search kodi 
i dont get the unstable pvr of teleboy which is listed here :
https://launchpad.net/%7Eteam-xbmc/+arc ... &start=150


update : seems the add-on is not complied for stretch version.... @ Rascas could you add it?
fear nothing, hope nothing, be free

Return to “Media centres”